# pysurfline

![PyPI - Python Version](https://img.shields.io/pypi/pyversions/pysurfline)
![PyPI](https://img.shields.io/pypi/v/pysurfline?color=blue)
[![Tests](https://github.com/giocaizzi/pysurfline/actions/workflows/tests.yml/badge.svg?branch=main)](https://github.com/giocaizzi/pysurfline/actions/workflows/tests.yml)
![Codecov](https://img.shields.io/codecov/c/gh/giocaizzi/pysurfline)
![PyPI - License](https://img.shields.io/pypi/l/pysurfline)

Python wrapper of Surfline V2 API.

`pysurfline` features:
- getting Surfline forecast for any spot that is listed on [Surfline](https://www.surfline.com)(surf, swell, wind, tides, daylight info)
- produce structured surf reports.

# Installation

Install with `pip`
```
pip install pysurfline
```

# Example

Get the `pysurfline.SurfReport` plot for Banzai Pipeline in Oahu, Hawaii (USA).
[Go to full example.](https://giocaizzi.github.io/pysurfline/examples/surf_report.html)

![SurfReport plot](https://github.com/giocaizzi/pysurfline/blob/gh-pages/docsrc/source/images/surfreport_pipeline.jpeg)

# Documentation

The documentation can be found [here](https://giocaizzi.github.io/pysurfline/).
